Name:           kimchi
Version:        1.5.1
Release:        6%{?dist}
Summary:        An HTML5-based KVM graphical interface
BuildArch:      noarch
# The backend is LGPLv3 and LGPLv2+, the UI is ASL 2.0
# ui/spice-html5/thirdparty/sha1.js is BSD, not packaged, only in source rpm
# jquery libs are MIT; will be removed when Fedora supplies them
License:        LGPLv3 and ASL 2.0 and BSD and MIT and LGPLv2+
URL:            http://kimchi-project.github.io/kimchi/
Source0:        https://github.com/kimchi-project/%{name}/archive/%{version}.tar.gz
Source1:        kimchi.logrotate

# Fixes a compilation issue related to Fedora and gettext
Patch0:         kimchi-1.2.1-gettext.patch
# Prevents from vm creation failures caused by unsupported kbd_type
Patch1:         kimchi-1.5.1-kbd_type.patch
Patch2:         kimchi-1.5.1-remove-cert-gen.patch
Patch3:         kimchi-1.5.1-nofailontemplate.patch
Patch4:         kimchi-1.5.1-psutil_cpu.patch
Patch5:         kimchi-1.5.1-psutil_memory.patch
Patch6:         kimchi-1.5.1-psutil_network.patch

Requires:   qemu-kvm
Requires:   gettext-devel
Requires:   libvirt
Requires:   libvirt-python
Requires:   python-cherrypy >= 3.2.0
Requires:   python-cheetah
Requires:   python-websockify
Requires:   novnc
Requires:   m2crypto
Requires:   python-imaging
Requires:   PyPAM
Requires:   pyparted
Requires:   python-psutil >= 0.6.0
Requires:   python-jsonschema >= 1.3.0
Requires:   python-ethtool
Requires:   sos
Requires:   python-ipaddr
Requires:   python-lxml
Requires:   nfs-utils
Requires:   nginx
Requires:   iscsi-initiator-utils
Requires:   python-ldap
Requires:   python-libguestfs
Requires:   libguestfs-tools
Requires:   spice-html5
Requires:   numpy
Requires:   python-configobj
Requires:   python-magic

BuildRequires: systemd-units
BuildRequires: libxslt
BuildRequires: python-lxml
BuildRequires: autoconf, automake
BuildRequires: gettext-devel
BuildRequires: python2-devel

Provides: bundled(jquery-ui) = 1.10.3
Provides: bundled(jquery) = 1.10.0


%description
Web server application to manage KVM/Qemu virtual machines

%prep
%setup -q
%patch0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p1
%patch6 -p1
%build
autoreconf -vfi
%configure
make %{?_smp_mflags}


%install
%make_install

# Install the systemd script
install -Dm 0644 contrib/kimchid.service.fedora %{buildroot}%{_unitdir}/kimchid.service
# Install the firewalld script
install -Dm 0640 src/firewalld.xml %{buildroot}%{_prefix}/lib/firewalld/services/kimchid.xml
# Install the logrotate file
install -Dm 0640 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/kimchi
## Remove sample.mo files as they are not important
rm -f %{buildroot}/%{_datadir}/locale/*/LC_MESSAGES/sample.mo
# Remove blank log files
rm  %{buildroot}/var/log/kimchi/*
%find_lang %{name}

%post
if ! [[ -f %{_sysconfdir}/kimchi/dhparams.pem ]]; then
    openssl dhparam -out %{_sysconfdir}/kimchi/dhparams.pem 2048
fi

%files -f %{name}.lang
%doc docs/README.md
%{_bindir}/kimchid
%{python_sitelib}/kimchi/
%{_datadir}/kimchi/
%{_sysconfdir}/nginx/conf.d/kimchi.conf*
%{_sysconfdir}/kimchi/
%{_sysconfdir}/logrotate.d/kimchi
%{_sharedstatedir}/kimchi/objectstore
%{_unitdir}/kimchid.service
%{_prefix}/lib/firewalld/services/kimchid.xml
%{_mandir}/man8/kimchid.8.gz
%license COPYING*



%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 30 2015 Brent Baude <bbaude@redhat.com> - 1.5.1-3
- psutil.TOTAL_PHYMEM deprecated

* Thu Nov 19 2015 Brent Baude <bbaude@redhat.com> - 1.5.1-2
- psutil.NUM_CPUS depracted, use psutil.cpu_count() instead

* Thu Oct 15 2015 Brent Baude <bbaude@redhat.com> - 1.5.1-1
- Introduction of kimchi-1.5.1 and additional deps

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Apr 17 2015 Dan Horák <dan[at]danny.cz> - 1.4.1-3
- add missing R: - kimchid reports "WARNING: no 'numpy' module, HyBi protocol will be slower"

* Thu Apr 16 2015 Jaromir Capik <jcapik@redhat.com> - 1.4.1-2
- Fixing VM creation failures caused by unsupported kbd_type

* Mon Mar 30 2015 Brent Baude <bbaude@redhat.com> - 1.4.1-1
- New version released upstream

* Fri Feb 27 2015 Brent Baude <bbaude@redhat.com> - 1.4.0-2
- Updated spec and release

* Tue Jul 29 2014 Brent Baude <baude@redhat.com> - 1.4.0-1
- Introduction of the kimchi package
